XF 2.2 PHP version

myissue

Member
Hi
I have XF version v2.2.4, (i use WordPress with my forum too) and i have PHP version 7.2.
WordPress "asks" me to update PHP and i want to update to PHP 7.4.
My question is if i want to update the PHP version to 7.4 i just change PHP version it via c-panel(my host has c-panel)?
Nothing will collapse or something?

Thanx!
 

djbaxter

Well-known member
You also need to ensure that any PHP extensions you need that you have on the older version are also added to PHP7.4.

Look on your AdminCP page and copy the information there about PHP extensions currently in use.

For example only, this is from my dedicated server. Don't try to duplicate all of the settings - that server is running several sites with differing requirements, not just Xenforo sites, but use the list as an example of what extensions you may need to enable.

Code:
Server environment report
You have the recommended PHP version.

PHP version     8.0.7
MySQL version  10.3.29 (10.3.29-MariaDB)
cURL version 7.77.0
cURL SSL version OpenSSL/1.1.1k
OpenSSL version OpenSSL 1.1.1k 25 Mar 2021
Suhosin enabled No
Imagick support Yes
EXIF support Yes
GZip support Yes
mbstring support Yes
gmp support Yes
ZipArchive support Yes
 

myissue

Member
@djbaxter This is what i have

Code:
PHP version
    7.2.34

PHP memory_limit
    128M

EXIF support
    Yes

GZip support
    Yes

mbstring support
    Yes

gmp support
    Yes

ZipArchive support
    Yes

and i use 3 addons:

[AddonFlare] AJAX Advanced Forum Stats 1.6.0

[MMO] Hide Bb-Code Content System 2.2.0

[TH] UI.X 2.2.0

 
Top